Bug 506421 - X crash under qemu
X crash under qemu
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 04:59 EDT by Karel Volný
Modified: 2010-03-04 08:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-04 08:27:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (37.84 KB, text/plain)
2009-06-17 04:59 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2009-06-17 04:59:50 EDT
Created attachment 348232 [details]
Xorg.0.log

Description of problem:
I am unable to start X under qemu "standard VGA" mode, please see the attached log.

Version-Release number of selected component (if applicable):
qemu-0.9.1-11.el5
X.Org X Server 1.6.1.901 (1.6.2 RC 1)

How reproducible:
always

Steps to Reproduce:
1. qemu -hda /dev/sdb -m 512 -std-vga -boot c
2. (login)
3. startx
  
Actual results:
I get back to the console, see the attached log for the error message

Expected results:
working X environment

Additional info:
/dev/sdb is USB stick if this matters.
Graphical interface worked during the installation.
Comment 1 Karel Volný 2009-06-17 05:41:27 EDT
p.s. omitting -std-vga option leads to
(EE) open /dev/fb0: No such file or directory
Comment 2 Matěj Cepl 2009-06-23 11:11:38 EDT
Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812d07b]
1: /usr/bin/X(xf86SigHandler+0x9e) [0x80c061e]
2: [0x2a0400]
3: /usr/bin/X(DamageUnregister+0x3a) [0x8175d4a]
4: /usr/lib/xorg/modules//libshadow.so(shadowRemove+0x4e) [0xce9e1e]
5: /usr/lib/xorg/modules//libshadow.so [0xcea2d4]
6: /usr/bin/X [0x80bf3fe]
7: /usr/bin/X [0x810b05c]
8: /usr/bin/X [0x811726c]
9: /usr/bin/X [0x811d6dc]
10: /usr/bin/X [0x80c7e7e]
11: /usr/lib/xorg/modules/drivers//vesa_drv.so [0x2bb918]
12: /usr/bin/X [0x80c00ec]
13: /usr/bin/X [0x8158d8e]
14: /usr/bin/X [0x80da055]
15: /usr/bin/X [0x80c4932]
16: /usr/bin/X [0x81438a0]
17: /usr/bin/X [0x8173819]
18: /usr/bin/X [0x813d5c6]
19: /usr/lib/xorg/modules/extensions//libglx.so [0x5831fa]
20: /usr/bin/X(main+0x428) [0x806bb88]
21: /lib/libc.so.6(__libc_start_main+0xe6) [0xfaba66]
22: /usr/bin/X [0x806afa1]
Comment 3 Matěj Cepl 2009-11-05 13:32:21 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Matěj Cepl 2010-02-26 07:23:58 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 5 Karel Volný 2010-03-04 08:27:05 EST
sorry for the late reply ...

it works with the recent Fedora 12 packages

I can run qemu -vga std ... without any problems now

Note You need to log in before you can comment on or make changes to this bug.